For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Kubernetes Nodes

Retrieves the list of all K8s nodes of the specified node pool.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
k8sClusterIdstringRequired

The unique ID of the Kubernetes cluster.

nodepoolIdstringRequired

The unique ID of the Kubernetes node pool.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
200

Successful operation

application/json
get/k8s/{k8sClusterId}/nodepools/{nodepoolId}/nodes
GET /cloudapi/v6/k8s/{k8sClusterId}/nodepools/{nodepoolId}/nodes HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "id": "1e072e52-2ed3-492f-b6b6-c6b116907527/nodepools",
  "type": "collection",
  "href": "https://api.ionos.com/cloudapi/v6/k8s/30f8a4f6-6515-4c34-b49d-dea807453b90/nodepools/bfdf67bd-5665-4245-8096-7c7991f02f3f/nodes",
  "items": [
    {
      "id": "1e072e52-2ed3-492f-b6b6-c6b116907527",
      "type": "node",
      "href": "https://api.ionos.com/cloudapi/v6/k8s/30f8a4f6-6515-4c34-b49d-dea807453b90/nodepools/bfdf67bd-5665-4245-8096-7c7991f02f3f/nodes/81892fdb-d97e-4919-baf9-2b3a923f5401",
      "metadata": {
        "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
        "createdDate": "2015-12-04T14:34:09.809Z",
        "lastModifiedDate": "2015-12-04T14:34:09.809Z",
        "state": "READY",
        "lastSoftwareUpdatedDate": "2015-12-04T14:34:09.809Z"
      },
      "properties": {
        "name": "K8s-node",
        "publicIP": "192.168.23.2",
        "privateIP": "192.168.23.2",
        "k8sVersion": "1.15.4"
      }
    }
  ]
}

Last updated

Was this helpful?